DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Functions
Updating Nodes
The XML parser » Create or Update the XMLNode structure

Some update functions: More...

## Functions
XMLCSTR | XMLNode::updateName (XMLCSTR lpszName)
| change node's name
XMLAttribute * | XMLNode::updateAttribute (XMLAttribute *newAttribute, XMLAttribute *oldAttribute)
| if the attribute to update is missing, a new one will be added
XMLAttribute * | XMLNode::updateAttribute (XMLCSTR lpszNewValue, XMLCSTR lpszNewName=NULL, int i=0)
| if the attribute to update is missing, a new one will be added
XMLAttribute * | XMLNode::updateAttribute (XMLCSTR lpszNewValue, XMLCSTR lpszNewName, XMLCSTR lpszOldName)
| set lpszNewName=NULL if you don't want to change the name of the attribute if the attribute to update is missing, a new one will be added
XMLCSTR | XMLNode::updateText (XMLCSTR lpszNewValue, int i=0)
| if the text to update is missing, a new one will be added
XMLCSTR | XMLNode::updateText (XMLCSTR lpszNewValue, XMLCSTR lpszOldValue)
| if the text to update is missing, a new one will be added
XMLClear * | XMLNode::updateClear (XMLCSTR lpszNewContent, int i=0)
| if the clearTag to update is missing, a new one will be added
XMLClear * | XMLNode::updateClear (XMLClear *newP, XMLClear *oldP)
| if the clearTag to update is missing, a new one will be added
XMLClear * | XMLNode::updateClear (XMLCSTR lpszNewValue, XMLCSTR lpszOldValue)
| if the clearTag to update is missing, a new one will be added

## Detailed Description

Some update functions:

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2